/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;

/**
 *
 * @author Administrador
 */
public interface CategoriaCtrlService {

	public CategoriaCtrl obtenerID(Integer id);

	public CategoriaCtrl suscribir(CategoriaCtrl entidad);

	public CategoriaCtrl checarCategoriaAdulto(CategoriaCtrl entidad, Boolean rdVendeAbertoSim, Boolean chkCancelaEmAberto, Boolean chkDevolveEmAberto, Boolean chkCancelaEmergencialEmAberto, Boolean chkTrocaTiturlidadeEmAberto, Boolean chkTrocaEmAberto);

	public CategoriaCtrl actualizacion(CategoriaCtrl entidad);

	public void borrar(CategoriaCtrl entidad);

	public boolean validaCategoriaProgramaFidelidade(Categoria categoria);
}
